=== modified file 'charm-store'
--- charm-store	2020-09-30 15:00:24 +0000
+++ charm-store	2021-07-26 21:08:05 +0000
@@ -4,9 +4,9 @@
 # Needs make clean, make render called first.
 #
 
-ACTION=$1
-STORE_USER=${2:-landscape}
-CHANNEL=${3}
+ACTION="$1"
+STORE_USER="${2:-landscape}"
+CHANNEL="${3}"
 INITIAL_CHANNEL="edge"
 RELEASE_CHANNEL="stable"
 
@@ -31,7 +31,7 @@
 for target in landscape-dense-maas landscape-dense landscape-scalable; do
 
     if [ "$ACTION" == "diff" ]; then
-        if [ -z $CHANNEL ]; then
+        if [ -z "$CHANNEL" ]; then
             CHANNEL=$RELEASE_CHANNEL
         fi
         echo "# [$target] Pulling fresh copy from $CHANNEL channel"
@@ -46,22 +46,22 @@
 
     if [ "$ACTION" == "push" ]; then
         echo "# [$target] Pushing to namespace ~${STORE_USER}, unpublished channel"
-        url=$( (set -x; charm push build/${target} cs:~${STORE_USER}/bundle/${target}) | grep ^url | awk '{ print $2 }')
+        url=$( (set -x; charm push "build/${target}" "cs:~${STORE_USER}/bundle/${target}") | grep ^url | awk '{ print $2 }')
 
-        if [ -n $CHANNEL ]; then
+        if [ -n "$CHANNEL" ]; then
             echo "# [$target] Publishing to ${CHANNEL} channel"
-            (set -x; charm release --channel ${CHANNEL} $url)
+            (set -x; charm release --channel "${CHANNEL}" "$url")
         fi
     fi
 
     if [ "$ACTION" == "publish-latest" ]; then
-        latest=$(charm show --channel unpublished --all --format=json cs:~${STORE_USER}/bundle/${target} | jq -r '.id.Id')
+        latest=$(charm show --channel unpublished --all --format=json "cs:~${STORE_USER}/bundle/${target}" | jq -r '.id.Id')
 
         if [ -z $CHANNEL ]; then
             CHANNEL=$RELEASE_CHANNEL
         fi
         echo "# [$target] Publishing latest unpublished revision to ${CHANNEL} channel"
-        (set -x; charm release --channel ${CHANNEL} $latest)
+        (set -x; charm release --channel "${CHANNEL}" "$latest")
     fi
 
 done

=== modified file 'render-bundles'
--- render-bundles	2020-09-30 13:33:08 +0000
+++ render-bundles	2021-07-26 21:08:05 +0000
@@ -16,7 +16,7 @@
         "memory": 2048},
     "haproxy": {},
     "landscape": {
-        "charm": "cs:bionic/landscape-server-38",
+        "charm": "cs:bionic/landscape-server-40",
         "memory": 4096,
         # We defer to the default "install_sources" from the charm.
         "install_keys": "4652B4E6"}

